# Exporting Component Description of PCIE_INITIATOR to TCL
# Family: PolarFireSoC
# Part Number: MPFS250T_ES-FCVG484E
# Create and Configure the core component PCIE_INITIATOR
create_and_configure_core -core_vlnv {Actel:DirectCore:COREAXI4INTERCONNECT:2.8.103} -component_name {PCIE_INITIATOR} -params {\
"ADDR_WIDTH:38"  \
"CROSSBAR_MODE:0"  \
"DATA_WIDTH:64"  \
"DWC_ADDR_FIFO_DEPTH_CEILING:64"  \
"ID_WIDTH:4"  \
"MASTER0_CHAN_RS:true"  \
"MASTER0_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER0_DATA_WIDTH:64"  \
"MASTER0_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER0_READ_INTERLEAVE:false"  \
"MASTER0_READ_SLAVE0:true"  \
"MASTER0_READ_SLAVE1:true"  \
"MASTER0_READ_SLAVE2:true"  \
"MASTER0_READ_SLAVE3:true"  \
"MASTER0_READ_SLAVE4:true"  \
"MASTER0_READ_SLAVE5:true"  \
"MASTER0_READ_SLAVE6:true"  \
"MASTER0_READ_SLAVE7:true"  \
"MASTER0_READ_SLAVE8:true"  \
"MASTER0_READ_SLAVE9:true"  \
"MASTER0_READ_SLAVE10:true"  \
"MASTER0_READ_SLAVE11:true"  \
"MASTER0_READ_SLAVE12:true"  \
"MASTER0_READ_SLAVE13:true"  \
"MASTER0_READ_SLAVE14:true"  \
"MASTER0_READ_SLAVE15:true"  \
"MASTER0_READ_SLAVE16:true"  \
"MASTER0_READ_SLAVE17:true"  \
"MASTER0_READ_SLAVE18:true"  \
"MASTER0_READ_SLAVE19:true"  \
"MASTER0_READ_SLAVE20:true"  \
"MASTER0_READ_SLAVE21:true"  \
"MASTER0_READ_SLAVE22:true"  \
"MASTER0_READ_SLAVE23:true"  \
"MASTER0_READ_SLAVE24:true"  \
"MASTER0_READ_SLAVE25:true"  \
"MASTER0_READ_SLAVE26:true"  \
"MASTER0_READ_SLAVE27:true"  \
"MASTER0_READ_SLAVE28:true"  \
"MASTER0_READ_SLAVE29:true"  \
"MASTER0_READ_SLAVE30:true"  \
"MASTER0_READ_SLAVE31:true"  \
"MASTER0_TYPE:0"  \
"MASTER0_WRITE_SLAVE0:true"  \
"MASTER0_WRITE_SLAVE1:true"  \
"MASTER0_WRITE_SLAVE2:true"  \
"MASTER0_WRITE_SLAVE3:true"  \
"MASTER0_WRITE_SLAVE4:true"  \
"MASTER0_WRITE_SLAVE5:true"  \
"MASTER0_WRITE_SLAVE6:true"  \
"MASTER0_WRITE_SLAVE7:true"  \
"MASTER0_WRITE_SLAVE8:true"  \
"MASTER0_WRITE_SLAVE9:true"  \
"MASTER0_WRITE_SLAVE10:true"  \
"MASTER0_WRITE_SLAVE11:true"  \
"MASTER0_WRITE_SLAVE12:true"  \
"MASTER0_WRITE_SLAVE13:true"  \
"MASTER0_WRITE_SLAVE14:true"  \
"MASTER0_WRITE_SLAVE15:true"  \
"MASTER0_WRITE_SLAVE16:true"  \
"MASTER0_WRITE_SLAVE17:true"  \
"MASTER0_WRITE_SLAVE18:true"  \
"MASTER0_WRITE_SLAVE19:true"  \
"MASTER0_WRITE_SLAVE20:true"  \
"MASTER0_WRITE_SLAVE21:true"  \
"MASTER0_WRITE_SLAVE22:true"  \
"MASTER0_WRITE_SLAVE23:true"  \
"MASTER0_WRITE_SLAVE24:true"  \
"MASTER0_WRITE_SLAVE25:true"  \
"MASTER0_WRITE_SLAVE26:true"  \
"MASTER0_WRITE_SLAVE27:true"  \
"MASTER0_WRITE_SLAVE28:true"  \
"MASTER0_WRITE_SLAVE29:true"  \
"MASTER0_WRITE_SLAVE30:true"  \
"MASTER0_WRITE_SLAVE31:true"  \
"MASTER1_CHAN_RS:true"  \
"MASTER1_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER1_DATA_WIDTH:64"  \
"MASTER1_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER1_READ_INTERLEAVE:false"  \
"MASTER1_READ_SLAVE0:true"  \
"MASTER1_READ_SLAVE1:true"  \
"MASTER1_READ_SLAVE2:true"  \
"MASTER1_READ_SLAVE3:true"  \
"MASTER1_READ_SLAVE4:true"  \
"MASTER1_READ_SLAVE5:true"  \
"MASTER1_READ_SLAVE6:true"  \
"MASTER1_READ_SLAVE7:true"  \
"MASTER1_READ_SLAVE8:true"  \
"MASTER1_READ_SLAVE9:true"  \
"MASTER1_READ_SLAVE10:true"  \
"MASTER1_READ_SLAVE11:true"  \
"MASTER1_READ_SLAVE12:true"  \
"MASTER1_READ_SLAVE13:true"  \
"MASTER1_READ_SLAVE14:true"  \
"MASTER1_READ_SLAVE15:true"  \
"MASTER1_READ_SLAVE16:true"  \
"MASTER1_READ_SLAVE17:true"  \
"MASTER1_READ_SLAVE18:true"  \
"MASTER1_READ_SLAVE19:true"  \
"MASTER1_READ_SLAVE20:true"  \
"MASTER1_READ_SLAVE21:true"  \
"MASTER1_READ_SLAVE22:true"  \
"MASTER1_READ_SLAVE23:true"  \
"MASTER1_READ_SLAVE24:true"  \
"MASTER1_READ_SLAVE25:true"  \
"MASTER1_READ_SLAVE26:true"  \
"MASTER1_READ_SLAVE27:true"  \
"MASTER1_READ_SLAVE28:true"  \
"MASTER1_READ_SLAVE29:true"  \
"MASTER1_READ_SLAVE30:true"  \
"MASTER1_READ_SLAVE31:true"  \
"MASTER1_TYPE:0"  \
"MASTER1_WRITE_SLAVE0:true"  \
"MASTER1_WRITE_SLAVE1:true"  \
"MASTER1_WRITE_SLAVE2:true"  \
"MASTER1_WRITE_SLAVE3:true"  \
"MASTER1_WRITE_SLAVE4:true"  \
"MASTER1_WRITE_SLAVE5:true"  \
"MASTER1_WRITE_SLAVE6:true"  \
"MASTER1_WRITE_SLAVE7:true"  \
"MASTER1_WRITE_SLAVE8:true"  \
"MASTER1_WRITE_SLAVE9:true"  \
"MASTER1_WRITE_SLAVE10:true"  \
"MASTER1_WRITE_SLAVE11:true"  \
"MASTER1_WRITE_SLAVE12:true"  \
"MASTER1_WRITE_SLAVE13:true"  \
"MASTER1_WRITE_SLAVE14:true"  \
"MASTER1_WRITE_SLAVE15:true"  \
"MASTER1_WRITE_SLAVE16:true"  \
"MASTER1_WRITE_SLAVE17:true"  \
"MASTER1_WRITE_SLAVE18:true"  \
"MASTER1_WRITE_SLAVE19:true"  \
"MASTER1_WRITE_SLAVE20:true"  \
"MASTER1_WRITE_SLAVE21:true"  \
"MASTER1_WRITE_SLAVE22:true"  \
"MASTER1_WRITE_SLAVE23:true"  \
"MASTER1_WRITE_SLAVE24:true"  \
"MASTER1_WRITE_SLAVE25:true"  \
"MASTER1_WRITE_SLAVE26:true"  \
"MASTER1_WRITE_SLAVE27:true"  \
"MASTER1_WRITE_SLAVE28:true"  \
"MASTER1_WRITE_SLAVE29:true"  \
"MASTER1_WRITE_SLAVE30:true"  \
"MASTER1_WRITE_SLAVE31:true"  \
"MASTER2_CHAN_RS:true"  \
"MASTER2_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER2_DATA_WIDTH:64"  \
"MASTER2_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER2_READ_INTERLEAVE:false"  \
"MASTER2_READ_SLAVE0:true"  \
"MASTER2_READ_SLAVE1:true"  \
"MASTER2_READ_SLAVE2:true"  \
"MASTER2_READ_SLAVE3:true"  \
"MASTER2_READ_SLAVE4:true"  \
"MASTER2_READ_SLAVE5:true"  \
"MASTER2_READ_SLAVE6:true"  \
"MASTER2_READ_SLAVE7:true"  \
"MASTER2_READ_SLAVE8:true"  \
"MASTER2_READ_SLAVE9:true"  \
"MASTER2_READ_SLAVE10:true"  \
"MASTER2_READ_SLAVE11:true"  \
"MASTER2_READ_SLAVE12:true"  \
"MASTER2_READ_SLAVE13:true"  \
"MASTER2_READ_SLAVE14:true"  \
"MASTER2_READ_SLAVE15:true"  \
"MASTER2_READ_SLAVE16:true"  \
"MASTER2_READ_SLAVE17:true"  \
"MASTER2_READ_SLAVE18:true"  \
"MASTER2_READ_SLAVE19:true"  \
"MASTER2_READ_SLAVE20:true"  \
"MASTER2_READ_SLAVE21:true"  \
"MASTER2_READ_SLAVE22:true"  \
"MASTER2_READ_SLAVE23:true"  \
"MASTER2_READ_SLAVE24:true"  \
"MASTER2_READ_SLAVE25:true"  \
"MASTER2_READ_SLAVE26:true"  \
"MASTER2_READ_SLAVE27:true"  \
"MASTER2_READ_SLAVE28:true"  \
"MASTER2_READ_SLAVE29:true"  \
"MASTER2_READ_SLAVE30:true"  \
"MASTER2_READ_SLAVE31:true"  \
"MASTER2_TYPE:0"  \
"MASTER2_WRITE_SLAVE0:true"  \
"MASTER2_WRITE_SLAVE1:true"  \
"MASTER2_WRITE_SLAVE2:true"  \
"MASTER2_WRITE_SLAVE3:true"  \
"MASTER2_WRITE_SLAVE4:true"  \
"MASTER2_WRITE_SLAVE5:true"  \
"MASTER2_WRITE_SLAVE6:true"  \
"MASTER2_WRITE_SLAVE7:true"  \
"MASTER2_WRITE_SLAVE8:true"  \
"MASTER2_WRITE_SLAVE9:true"  \
"MASTER2_WRITE_SLAVE10:true"  \
"MASTER2_WRITE_SLAVE11:true"  \
"MASTER2_WRITE_SLAVE12:true"  \
"MASTER2_WRITE_SLAVE13:true"  \
"MASTER2_WRITE_SLAVE14:true"  \
"MASTER2_WRITE_SLAVE15:true"  \
"MASTER2_WRITE_SLAVE16:true"  \
"MASTER2_WRITE_SLAVE17:true"  \
"MASTER2_WRITE_SLAVE18:true"  \
"MASTER2_WRITE_SLAVE19:true"  \
"MASTER2_WRITE_SLAVE20:true"  \
"MASTER2_WRITE_SLAVE21:true"  \
"MASTER2_WRITE_SLAVE22:true"  \
"MASTER2_WRITE_SLAVE23:true"  \
"MASTER2_WRITE_SLAVE24:true"  \
"MASTER2_WRITE_SLAVE25:true"  \
"MASTER2_WRITE_SLAVE26:true"  \
"MASTER2_WRITE_SLAVE27:true"  \
"MASTER2_WRITE_SLAVE28:true"  \
"MASTER2_WRITE_SLAVE29:true"  \
"MASTER2_WRITE_SLAVE30:true"  \
"MASTER2_WRITE_SLAVE31:true"  \
"MASTER3_CHAN_RS:true"  \
"MASTER3_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER3_DATA_WIDTH:64"  \
"MASTER3_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER3_READ_INTERLEAVE:false"  \
"MASTER3_READ_SLAVE0:true"  \
"MASTER3_READ_SLAVE1:true"  \
"MASTER3_READ_SLAVE2:true"  \
"MASTER3_READ_SLAVE3:true"  \
"MASTER3_READ_SLAVE4:true"  \
"MASTER3_READ_SLAVE5:true"  \
"MASTER3_READ_SLAVE6:true"  \
"MASTER3_READ_SLAVE7:true"  \
"MASTER3_READ_SLAVE8:true"  \
"MASTER3_READ_SLAVE9:true"  \
"MASTER3_READ_SLAVE10:true"  \
"MASTER3_READ_SLAVE11:true"  \
"MASTER3_READ_SLAVE12:true"  \
"MASTER3_READ_SLAVE13:true"  \
"MASTER3_READ_SLAVE14:true"  \
"MASTER3_READ_SLAVE15:true"  \
"MASTER3_READ_SLAVE16:true"  \
"MASTER3_READ_SLAVE17:true"  \
"MASTER3_READ_SLAVE18:true"  \
"MASTER3_READ_SLAVE19:true"  \
"MASTER3_READ_SLAVE20:true"  \
"MASTER3_READ_SLAVE21:true"  \
"MASTER3_READ_SLAVE22:true"  \
"MASTER3_READ_SLAVE23:true"  \
"MASTER3_READ_SLAVE24:true"  \
"MASTER3_READ_SLAVE25:true"  \
"MASTER3_READ_SLAVE26:true"  \
"MASTER3_READ_SLAVE27:true"  \
"MASTER3_READ_SLAVE28:true"  \
"MASTER3_READ_SLAVE29:true"  \
"MASTER3_READ_SLAVE30:true"  \
"MASTER3_READ_SLAVE31:true"  \
"MASTER3_TYPE:0"  \
"MASTER3_WRITE_SLAVE0:true"  \
"MASTER3_WRITE_SLAVE1:true"  \
"MASTER3_WRITE_SLAVE2:true"  \
"MASTER3_WRITE_SLAVE3:true"  \
"MASTER3_WRITE_SLAVE4:true"  \
"MASTER3_WRITE_SLAVE5:true"  \
"MASTER3_WRITE_SLAVE6:true"  \
"MASTER3_WRITE_SLAVE7:true"  \
"MASTER3_WRITE_SLAVE8:true"  \
"MASTER3_WRITE_SLAVE9:true"  \
"MASTER3_WRITE_SLAVE10:true"  \
"MASTER3_WRITE_SLAVE11:true"  \
"MASTER3_WRITE_SLAVE12:true"  \
"MASTER3_WRITE_SLAVE13:true"  \
"MASTER3_WRITE_SLAVE14:true"  \
"MASTER3_WRITE_SLAVE15:true"  \
"MASTER3_WRITE_SLAVE16:true"  \
"MASTER3_WRITE_SLAVE17:true"  \
"MASTER3_WRITE_SLAVE18:true"  \
"MASTER3_WRITE_SLAVE19:true"  \
"MASTER3_WRITE_SLAVE20:true"  \
"MASTER3_WRITE_SLAVE21:true"  \
"MASTER3_WRITE_SLAVE22:true"  \
"MASTER3_WRITE_SLAVE23:true"  \
"MASTER3_WRITE_SLAVE24:true"  \
"MASTER3_WRITE_SLAVE25:true"  \
"MASTER3_WRITE_SLAVE26:true"  \
"MASTER3_WRITE_SLAVE27:true"  \
"MASTER3_WRITE_SLAVE28:true"  \
"MASTER3_WRITE_SLAVE29:true"  \
"MASTER3_WRITE_SLAVE30:true"  \
"MASTER3_WRITE_SLAVE31:true"  \
"MASTER4_CHAN_RS:true"  \
"MASTER4_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER4_DATA_WIDTH:64"  \
"MASTER4_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER4_READ_INTERLEAVE:false"  \
"MASTER4_READ_SLAVE0:true"  \
"MASTER4_READ_SLAVE1:true"  \
"MASTER4_READ_SLAVE2:true"  \
"MASTER4_READ_SLAVE3:true"  \
"MASTER4_READ_SLAVE4:true"  \
"MASTER4_READ_SLAVE5:true"  \
"MASTER4_READ_SLAVE6:true"  \
"MASTER4_READ_SLAVE7:true"  \
"MASTER4_READ_SLAVE8:true"  \
"MASTER4_READ_SLAVE9:true"  \
"MASTER4_READ_SLAVE10:true"  \
"MASTER4_READ_SLAVE11:true"  \
"MASTER4_READ_SLAVE12:true"  \
"MASTER4_READ_SLAVE13:true"  \
"MASTER4_READ_SLAVE14:true"  \
"MASTER4_READ_SLAVE15:true"  \
"MASTER4_READ_SLAVE16:true"  \
"MASTER4_READ_SLAVE17:true"  \
"MASTER4_READ_SLAVE18:true"  \
"MASTER4_READ_SLAVE19:true"  \
"MASTER4_READ_SLAVE20:true"  \
"MASTER4_READ_SLAVE21:true"  \
"MASTER4_READ_SLAVE22:true"  \
"MASTER4_READ_SLAVE23:true"  \
"MASTER4_READ_SLAVE24:true"  \
"MASTER4_READ_SLAVE25:true"  \
"MASTER4_READ_SLAVE26:true"  \
"MASTER4_READ_SLAVE27:true"  \
"MASTER4_READ_SLAVE28:true"  \
"MASTER4_READ_SLAVE29:true"  \
"MASTER4_READ_SLAVE30:true"  \
"MASTER4_READ_SLAVE31:true"  \
"MASTER4_TYPE:0"  \
"MASTER4_WRITE_SLAVE0:true"  \
"MASTER4_WRITE_SLAVE1:true"  \
"MASTER4_WRITE_SLAVE2:true"  \
"MASTER4_WRITE_SLAVE3:true"  \
"MASTER4_WRITE_SLAVE4:true"  \
"MASTER4_WRITE_SLAVE5:true"  \
"MASTER4_WRITE_SLAVE6:true"  \
"MASTER4_WRITE_SLAVE7:true"  \
"MASTER4_WRITE_SLAVE8:true"  \
"MASTER4_WRITE_SLAVE9:true"  \
"MASTER4_WRITE_SLAVE10:true"  \
"MASTER4_WRITE_SLAVE11:true"  \
"MASTER4_WRITE_SLAVE12:true"  \
"MASTER4_WRITE_SLAVE13:true"  \
"MASTER4_WRITE_SLAVE14:true"  \
"MASTER4_WRITE_SLAVE15:true"  \
"MASTER4_WRITE_SLAVE16:true"  \
"MASTER4_WRITE_SLAVE17:true"  \
"MASTER4_WRITE_SLAVE18:true"  \
"MASTER4_WRITE_SLAVE19:true"  \
"MASTER4_WRITE_SLAVE20:true"  \
"MASTER4_WRITE_SLAVE21:true"  \
"MASTER4_WRITE_SLAVE22:true"  \
"MASTER4_WRITE_SLAVE23:true"  \
"MASTER4_WRITE_SLAVE24:true"  \
"MASTER4_WRITE_SLAVE25:true"  \
"MASTER4_WRITE_SLAVE26:true"  \
"MASTER4_WRITE_SLAVE27:true"  \
"MASTER4_WRITE_SLAVE28:true"  \
"MASTER4_WRITE_SLAVE29:true"  \
"MASTER4_WRITE_SLAVE30:true"  \
"MASTER4_WRITE_SLAVE31:true"  \
"MASTER5_CHAN_RS:true"  \
"MASTER5_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER5_DATA_WIDTH:64"  \
"MASTER5_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER5_READ_INTERLEAVE:false"  \
"MASTER5_READ_SLAVE0:true"  \
"MASTER5_READ_SLAVE1:true"  \
"MASTER5_READ_SLAVE2:true"  \
"MASTER5_READ_SLAVE3:true"  \
"MASTER5_READ_SLAVE4:true"  \
"MASTER5_READ_SLAVE5:true"  \
"MASTER5_READ_SLAVE6:true"  \
"MASTER5_READ_SLAVE7:true"  \
"MASTER5_READ_SLAVE8:true"  \
"MASTER5_READ_SLAVE9:true"  \
"MASTER5_READ_SLAVE10:true"  \
"MASTER5_READ_SLAVE11:true"  \
"MASTER5_READ_SLAVE12:true"  \
"MASTER5_READ_SLAVE13:true"  \
"MASTER5_READ_SLAVE14:true"  \
"MASTER5_READ_SLAVE15:true"  \
"MASTER5_READ_SLAVE16:true"  \
"MASTER5_READ_SLAVE17:true"  \
"MASTER5_READ_SLAVE18:true"  \
"MASTER5_READ_SLAVE19:true"  \
"MASTER5_READ_SLAVE20:true"  \
"MASTER5_READ_SLAVE21:true"  \
"MASTER5_READ_SLAVE22:true"  \
"MASTER5_READ_SLAVE23:true"  \
"MASTER5_READ_SLAVE24:true"  \
"MASTER5_READ_SLAVE25:true"  \
"MASTER5_READ_SLAVE26:true"  \
"MASTER5_READ_SLAVE27:true"  \
"MASTER5_READ_SLAVE28:true"  \
"MASTER5_READ_SLAVE29:true"  \
"MASTER5_READ_SLAVE30:true"  \
"MASTER5_READ_SLAVE31:true"  \
"MASTER5_TYPE:0"  \
"MASTER5_WRITE_SLAVE0:true"  \
"MASTER5_WRITE_SLAVE1:true"  \
"MASTER5_WRITE_SLAVE2:true"  \
"MASTER5_WRITE_SLAVE3:true"  \
"MASTER5_WRITE_SLAVE4:true"  \
"MASTER5_WRITE_SLAVE5:true"  \
"MASTER5_WRITE_SLAVE6:true"  \
"MASTER5_WRITE_SLAVE7:true"  \
"MASTER5_WRITE_SLAVE8:true"  \
"MASTER5_WRITE_SLAVE9:true"  \
"MASTER5_WRITE_SLAVE10:true"  \
"MASTER5_WRITE_SLAVE11:true"  \
"MASTER5_WRITE_SLAVE12:true"  \
"MASTER5_WRITE_SLAVE13:true"  \
"MASTER5_WRITE_SLAVE14:true"  \
"MASTER5_WRITE_SLAVE15:true"  \
"MASTER5_WRITE_SLAVE16:true"  \
"MASTER5_WRITE_SLAVE17:true"  \
"MASTER5_WRITE_SLAVE18:true"  \
"MASTER5_WRITE_SLAVE19:true"  \
"MASTER5_WRITE_SLAVE20:true"  \
"MASTER5_WRITE_SLAVE21:true"  \
"MASTER5_WRITE_SLAVE22:true"  \
"MASTER5_WRITE_SLAVE23:true"  \
"MASTER5_WRITE_SLAVE24:true"  \
"MASTER5_WRITE_SLAVE25:true"  \
"MASTER5_WRITE_SLAVE26:true"  \
"MASTER5_WRITE_SLAVE27:true"  \
"MASTER5_WRITE_SLAVE28:true"  \
"MASTER5_WRITE_SLAVE29:true"  \
"MASTER5_WRITE_SLAVE30:true"  \
"MASTER5_WRITE_SLAVE31:true"  \
"MASTER6_CHAN_RS:true"  \
"MASTER6_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER6_DATA_WIDTH:64"  \
"MASTER6_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER6_READ_INTERLEAVE:false"  \
"MASTER6_READ_SLAVE0:true"  \
"MASTER6_READ_SLAVE1:true"  \
"MASTER6_READ_SLAVE2:true"  \
"MASTER6_READ_SLAVE3:true"  \
"MASTER6_READ_SLAVE4:true"  \
"MASTER6_READ_SLAVE5:true"  \
"MASTER6_READ_SLAVE6:true"  \
"MASTER6_READ_SLAVE7:true"  \
"MASTER6_READ_SLAVE8:true"  \
"MASTER6_READ_SLAVE9:true"  \
"MASTER6_READ_SLAVE10:true"  \
"MASTER6_READ_SLAVE11:true"  \
"MASTER6_READ_SLAVE12:true"  \
"MASTER6_READ_SLAVE13:true"  \
"MASTER6_READ_SLAVE14:true"  \
"MASTER6_READ_SLAVE15:true"  \
"MASTER6_READ_SLAVE16:true"  \
"MASTER6_READ_SLAVE17:true"  \
"MASTER6_READ_SLAVE18:true"  \
"MASTER6_READ_SLAVE19:true"  \
"MASTER6_READ_SLAVE20:true"  \
"MASTER6_READ_SLAVE21:true"  \
"MASTER6_READ_SLAVE22:true"  \
"MASTER6_READ_SLAVE23:true"  \
"MASTER6_READ_SLAVE24:true"  \
"MASTER6_READ_SLAVE25:true"  \
"MASTER6_READ_SLAVE26:true"  \
"MASTER6_READ_SLAVE27:true"  \
"MASTER6_READ_SLAVE28:true"  \
"MASTER6_READ_SLAVE29:true"  \
"MASTER6_READ_SLAVE30:true"  \
"MASTER6_READ_SLAVE31:true"  \
"MASTER6_TYPE:0"  \
"MASTER6_WRITE_SLAVE0:true"  \
"MASTER6_WRITE_SLAVE1:true"  \
"MASTER6_WRITE_SLAVE2:true"  \
"MASTER6_WRITE_SLAVE3:true"  \
"MASTER6_WRITE_SLAVE4:true"  \
"MASTER6_WRITE_SLAVE5:true"  \
"MASTER6_WRITE_SLAVE6:true"  \
"MASTER6_WRITE_SLAVE7:true"  \
"MASTER6_WRITE_SLAVE8:true"  \
"MASTER6_WRITE_SLAVE9:true"  \
"MASTER6_WRITE_SLAVE10:true"  \
"MASTER6_WRITE_SLAVE11:true"  \
"MASTER6_WRITE_SLAVE12:true"  \
"MASTER6_WRITE_SLAVE13:true"  \
"MASTER6_WRITE_SLAVE14:true"  \
"MASTER6_WRITE_SLAVE15:true"  \
"MASTER6_WRITE_SLAVE16:true"  \
"MASTER6_WRITE_SLAVE17:true"  \
"MASTER6_WRITE_SLAVE18:true"  \
"MASTER6_WRITE_SLAVE19:true"  \
"MASTER6_WRITE_SLAVE20:true"  \
"MASTER6_WRITE_SLAVE21:true"  \
"MASTER6_WRITE_SLAVE22:true"  \
"MASTER6_WRITE_SLAVE23:true"  \
"MASTER6_WRITE_SLAVE24:true"  \
"MASTER6_WRITE_SLAVE25:true"  \
"MASTER6_WRITE_SLAVE26:true"  \
"MASTER6_WRITE_SLAVE27:true"  \
"MASTER6_WRITE_SLAVE28:true"  \
"MASTER6_WRITE_SLAVE29:true"  \
"MASTER6_WRITE_SLAVE30:true"  \
"MASTER6_WRITE_SLAVE31:true"  \
"MASTER7_CHAN_RS:true"  \
"MASTER7_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER7_DATA_WIDTH:64"  \
"MASTER7_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER7_READ_INTERLEAVE:false"  \
"MASTER7_READ_SLAVE0:true"  \
"MASTER7_READ_SLAVE1:true"  \
"MASTER7_READ_SLAVE2:true"  \
"MASTER7_READ_SLAVE3:true"  \
"MASTER7_READ_SLAVE4:true"  \
"MASTER7_READ_SLAVE5:true"  \
"MASTER7_READ_SLAVE6:true"  \
"MASTER7_READ_SLAVE7:true"  \
"MASTER7_READ_SLAVE8:true"  \
"MASTER7_READ_SLAVE9:true"  \
"MASTER7_READ_SLAVE10:true"  \
"MASTER7_READ_SLAVE11:true"  \
"MASTER7_READ_SLAVE12:true"  \
"MASTER7_READ_SLAVE13:true"  \
"MASTER7_READ_SLAVE14:true"  \
"MASTER7_READ_SLAVE15:true"  \
"MASTER7_READ_SLAVE16:true"  \
"MASTER7_READ_SLAVE17:true"  \
"MASTER7_READ_SLAVE18:true"  \
"MASTER7_READ_SLAVE19:true"  \
"MASTER7_READ_SLAVE20:true"  \
"MASTER7_READ_SLAVE21:true"  \
"MASTER7_READ_SLAVE22:true"  \
"MASTER7_READ_SLAVE23:true"  \
"MASTER7_READ_SLAVE24:true"  \
"MASTER7_READ_SLAVE25:true"  \
"MASTER7_READ_SLAVE26:true"  \
"MASTER7_READ_SLAVE27:true"  \
"MASTER7_READ_SLAVE28:true"  \
"MASTER7_READ_SLAVE29:true"  \
"MASTER7_READ_SLAVE30:true"  \
"MASTER7_READ_SLAVE31:true"  \
"MASTER7_TYPE:0"  \
"MASTER7_WRITE_SLAVE0:true"  \
"MASTER7_WRITE_SLAVE1:true"  \
"MASTER7_WRITE_SLAVE2:true"  \
"MASTER7_WRITE_SLAVE3:true"  \
"MASTER7_WRITE_SLAVE4:true"  \
"MASTER7_WRITE_SLAVE5:true"  \
"MASTER7_WRITE_SLAVE6:true"  \
"MASTER7_WRITE_SLAVE7:true"  \
"MASTER7_WRITE_SLAVE8:true"  \
"MASTER7_WRITE_SLAVE9:true"  \
"MASTER7_WRITE_SLAVE10:true"  \
"MASTER7_WRITE_SLAVE11:true"  \
"MASTER7_WRITE_SLAVE12:true"  \
"MASTER7_WRITE_SLAVE13:true"  \
"MASTER7_WRITE_SLAVE14:true"  \
"MASTER7_WRITE_SLAVE15:true"  \
"MASTER7_WRITE_SLAVE16:true"  \
"MASTER7_WRITE_SLAVE17:true"  \
"MASTER7_WRITE_SLAVE18:true"  \
"MASTER7_WRITE_SLAVE19:true"  \
"MASTER7_WRITE_SLAVE20:true"  \
"MASTER7_WRITE_SLAVE21:true"  \
"MASTER7_WRITE_SLAVE22:true"  \
"MASTER7_WRITE_SLAVE23:true"  \
"MASTER7_WRITE_SLAVE24:true"  \
"MASTER7_WRITE_SLAVE25:true"  \
"MASTER7_WRITE_SLAVE26:true"  \
"MASTER7_WRITE_SLAVE27:true"  \
"MASTER7_WRITE_SLAVE28:true"  \
"MASTER7_WRITE_SLAVE29:true"  \
"MASTER7_WRITE_SLAVE30:true"  \
"MASTER7_WRITE_SLAVE31:true"  \
"MASTER8_CHAN_RS:true"  \
"MASTER8_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER8_DATA_WIDTH:64"  \
"MASTER8_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER8_READ_INTERLEAVE:false"  \
"MASTER8_READ_SLAVE0:true"  \
"MASTER8_READ_SLAVE1:true"  \
"MASTER8_READ_SLAVE2:true"  \
"MASTER8_READ_SLAVE3:true"  \
"MASTER8_READ_SLAVE4:true"  \
"MASTER8_READ_SLAVE5:true"  \
"MASTER8_READ_SLAVE6:true"  \
"MASTER8_READ_SLAVE7:true"  \
"MASTER8_READ_SLAVE8:true"  \
"MASTER8_READ_SLAVE9:true"  \
"MASTER8_READ_SLAVE10:true"  \
"MASTER8_READ_SLAVE11:true"  \
"MASTER8_READ_SLAVE12:true"  \
"MASTER8_READ_SLAVE13:true"  \
"MASTER8_READ_SLAVE14:true"  \
"MASTER8_READ_SLAVE15:true"  \
"MASTER8_READ_SLAVE16:true"  \
"MASTER8_READ_SLAVE17:true"  \
"MASTER8_READ_SLAVE18:true"  \
"MASTER8_READ_SLAVE19:true"  \
"MASTER8_READ_SLAVE20:true"  \
"MASTER8_READ_SLAVE21:true"  \
"MASTER8_READ_SLAVE22:true"  \
"MASTER8_READ_SLAVE23:true"  \
"MASTER8_READ_SLAVE24:true"  \
"MASTER8_READ_SLAVE25:true"  \
"MASTER8_READ_SLAVE26:true"  \
"MASTER8_READ_SLAVE27:true"  \
"MASTER8_READ_SLAVE28:true"  \
"MASTER8_READ_SLAVE29:true"  \
"MASTER8_READ_SLAVE30:true"  \
"MASTER8_READ_SLAVE31:true"  \
"MASTER8_TYPE:0"  \
"MASTER8_WRITE_SLAVE0:true"  \
"MASTER8_WRITE_SLAVE1:true"  \
"MASTER8_WRITE_SLAVE2:true"  \
"MASTER8_WRITE_SLAVE3:true"  \
"MASTER8_WRITE_SLAVE4:true"  \
"MASTER8_WRITE_SLAVE5:true"  \
"MASTER8_WRITE_SLAVE6:true"  \
"MASTER8_WRITE_SLAVE7:true"  \
"MASTER8_WRITE_SLAVE8:true"  \
"MASTER8_WRITE_SLAVE9:true"  \
"MASTER8_WRITE_SLAVE10:true"  \
"MASTER8_WRITE_SLAVE11:true"  \
"MASTER8_WRITE_SLAVE12:true"  \
"MASTER8_WRITE_SLAVE13:true"  \
"MASTER8_WRITE_SLAVE14:true"  \
"MASTER8_WRITE_SLAVE15:true"  \
"MASTER8_WRITE_SLAVE16:true"  \
"MASTER8_WRITE_SLAVE17:true"  \
"MASTER8_WRITE_SLAVE18:true"  \
"MASTER8_WRITE_SLAVE19:true"  \
"MASTER8_WRITE_SLAVE20:true"  \
"MASTER8_WRITE_SLAVE21:true"  \
"MASTER8_WRITE_SLAVE22:true"  \
"MASTER8_WRITE_SLAVE23:true"  \
"MASTER8_WRITE_SLAVE24:true"  \
"MASTER8_WRITE_SLAVE25:true"  \
"MASTER8_WRITE_SLAVE26:true"  \
"MASTER8_WRITE_SLAVE27:true"  \
"MASTER8_WRITE_SLAVE28:true"  \
"MASTER8_WRITE_SLAVE29:true"  \
"MASTER8_WRITE_SLAVE30:true"  \
"MASTER8_WRITE_SLAVE31:true"  \
"MASTER9_CHAN_RS:true"  \
"MASTER9_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER9_DATA_WIDTH:64"  \
"MASTER9_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER9_READ_INTERLEAVE:false"  \
"MASTER9_READ_SLAVE0:true"  \
"MASTER9_READ_SLAVE1:true"  \
"MASTER9_READ_SLAVE2:true"  \
"MASTER9_READ_SLAVE3:true"  \
"MASTER9_READ_SLAVE4:true"  \
"MASTER9_READ_SLAVE5:true"  \
"MASTER9_READ_SLAVE6:true"  \
"MASTER9_READ_SLAVE7:true"  \
"MASTER9_READ_SLAVE8:true"  \
"MASTER9_READ_SLAVE9:true"  \
"MASTER9_READ_SLAVE10:true"  \
"MASTER9_READ_SLAVE11:true"  \
"MASTER9_READ_SLAVE12:true"  \
"MASTER9_READ_SLAVE13:true"  \
"MASTER9_READ_SLAVE14:true"  \
"MASTER9_READ_SLAVE15:true"  \
"MASTER9_READ_SLAVE16:true"  \
"MASTER9_READ_SLAVE17:true"  \
"MASTER9_READ_SLAVE18:true"  \
"MASTER9_READ_SLAVE19:true"  \
"MASTER9_READ_SLAVE20:true"  \
"MASTER9_READ_SLAVE21:true"  \
"MASTER9_READ_SLAVE22:true"  \
"MASTER9_READ_SLAVE23:true"  \
"MASTER9_READ_SLAVE24:true"  \
"MASTER9_READ_SLAVE25:true"  \
"MASTER9_READ_SLAVE26:true"  \
"MASTER9_READ_SLAVE27:true"  \
"MASTER9_READ_SLAVE28:true"  \
"MASTER9_READ_SLAVE29:true"  \
"MASTER9_READ_SLAVE30:true"  \
"MASTER9_READ_SLAVE31:true"  \
"MASTER9_TYPE:0"  \
"MASTER9_WRITE_SLAVE0:true"  \
"MASTER9_WRITE_SLAVE1:true"  \
"MASTER9_WRITE_SLAVE2:true"  \
"MASTER9_WRITE_SLAVE3:true"  \
"MASTER9_WRITE_SLAVE4:true"  \
"MASTER9_WRITE_SLAVE5:true"  \
"MASTER9_WRITE_SLAVE6:true"  \
"MASTER9_WRITE_SLAVE7:true"  \
"MASTER9_WRITE_SLAVE8:true"  \
"MASTER9_WRITE_SLAVE9:true"  \
"MASTER9_WRITE_SLAVE10:true"  \
"MASTER9_WRITE_SLAVE11:true"  \
"MASTER9_WRITE_SLAVE12:true"  \
"MASTER9_WRITE_SLAVE13:true"  \
"MASTER9_WRITE_SLAVE14:true"  \
"MASTER9_WRITE_SLAVE15:true"  \
"MASTER9_WRITE_SLAVE16:true"  \
"MASTER9_WRITE_SLAVE17:true"  \
"MASTER9_WRITE_SLAVE18:true"  \
"MASTER9_WRITE_SLAVE19:true"  \
"MASTER9_WRITE_SLAVE20:true"  \
"MASTER9_WRITE_SLAVE21:true"  \
"MASTER9_WRITE_SLAVE22:true"  \
"MASTER9_WRITE_SLAVE23:true"  \
"MASTER9_WRITE_SLAVE24:true"  \
"MASTER9_WRITE_SLAVE25:true"  \
"MASTER9_WRITE_SLAVE26:true"  \
"MASTER9_WRITE_SLAVE27:true"  \
"MASTER9_WRITE_SLAVE28:true"  \
"MASTER9_WRITE_SLAVE29:true"  \
"MASTER9_WRITE_SLAVE30:true"  \
"MASTER9_WRITE_SLAVE31:true"  \
"MASTER10_CHAN_RS:true"  \
"MASTER10_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER10_DATA_WIDTH:64"  \
"MASTER10_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER10_READ_INTERLEAVE:false"  \
"MASTER10_READ_SLAVE0:true"  \
"MASTER10_READ_SLAVE1:true"  \
"MASTER10_READ_SLAVE2:true"  \
"MASTER10_READ_SLAVE3:true"  \
"MASTER10_READ_SLAVE4:true"  \
"MASTER10_READ_SLAVE5:true"  \
"MASTER10_READ_SLAVE6:true"  \
"MASTER10_READ_SLAVE7:true"  \
"MASTER10_READ_SLAVE8:true"  \
"MASTER10_READ_SLAVE9:true"  \
"MASTER10_READ_SLAVE10:true"  \
"MASTER10_READ_SLAVE11:true"  \
"MASTER10_READ_SLAVE12:true"  \
"MASTER10_READ_SLAVE13:true"  \
"MASTER10_READ_SLAVE14:true"  \
"MASTER10_READ_SLAVE15:true"  \
"MASTER10_READ_SLAVE16:true"  \
"MASTER10_READ_SLAVE17:true"  \
"MASTER10_READ_SLAVE18:true"  \
"MASTER10_READ_SLAVE19:true"  \
"MASTER10_READ_SLAVE20:true"  \
"MASTER10_READ_SLAVE21:true"  \
"MASTER10_READ_SLAVE22:true"  \
"MASTER10_READ_SLAVE23:true"  \
"MASTER10_READ_SLAVE24:true"  \
"MASTER10_READ_SLAVE25:true"  \
"MASTER10_READ_SLAVE26:true"  \
"MASTER10_READ_SLAVE27:true"  \
"MASTER10_READ_SLAVE28:true"  \
"MASTER10_READ_SLAVE29:true"  \
"MASTER10_READ_SLAVE30:true"  \
"MASTER10_READ_SLAVE31:true"  \
"MASTER10_TYPE:0"  \
"MASTER10_WRITE_SLAVE0:true"  \
"MASTER10_WRITE_SLAVE1:true"  \
"MASTER10_WRITE_SLAVE2:true"  \
"MASTER10_WRITE_SLAVE3:true"  \
"MASTER10_WRITE_SLAVE4:true"  \
"MASTER10_WRITE_SLAVE5:true"  \
"MASTER10_WRITE_SLAVE6:true"  \
"MASTER10_WRITE_SLAVE7:true"  \
"MASTER10_WRITE_SLAVE8:true"  \
"MASTER10_WRITE_SLAVE9:true"  \
"MASTER10_WRITE_SLAVE10:true"  \
"MASTER10_WRITE_SLAVE11:true"  \
"MASTER10_WRITE_SLAVE12:true"  \
"MASTER10_WRITE_SLAVE13:true"  \
"MASTER10_WRITE_SLAVE14:true"  \
"MASTER10_WRITE_SLAVE15:true"  \
"MASTER10_WRITE_SLAVE16:true"  \
"MASTER10_WRITE_SLAVE17:true"  \
"MASTER10_WRITE_SLAVE18:true"  \
"MASTER10_WRITE_SLAVE19:true"  \
"MASTER10_WRITE_SLAVE20:true"  \
"MASTER10_WRITE_SLAVE21:true"  \
"MASTER10_WRITE_SLAVE22:true"  \
"MASTER10_WRITE_SLAVE23:true"  \
"MASTER10_WRITE_SLAVE24:true"  \
"MASTER10_WRITE_SLAVE25:true"  \
"MASTER10_WRITE_SLAVE26:true"  \
"MASTER10_WRITE_SLAVE27:true"  \
"MASTER10_WRITE_SLAVE28:true"  \
"MASTER10_WRITE_SLAVE29:true"  \
"MASTER10_WRITE_SLAVE30:true"  \
"MASTER10_WRITE_SLAVE31:true"  \
"MASTER11_CHAN_RS:true"  \
"MASTER11_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER11_DATA_WIDTH:64"  \
"MASTER11_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER11_READ_INTERLEAVE:false"  \
"MASTER11_READ_SLAVE0:true"  \
"MASTER11_READ_SLAVE1:true"  \
"MASTER11_READ_SLAVE2:true"  \
"MASTER11_READ_SLAVE3:true"  \
"MASTER11_READ_SLAVE4:true"  \
"MASTER11_READ_SLAVE5:true"  \
"MASTER11_READ_SLAVE6:true"  \
"MASTER11_READ_SLAVE7:true"  \
"MASTER11_READ_SLAVE8:true"  \
"MASTER11_READ_SLAVE9:true"  \
"MASTER11_READ_SLAVE10:true"  \
"MASTER11_READ_SLAVE11:true"  \
"MASTER11_READ_SLAVE12:true"  \
"MASTER11_READ_SLAVE13:true"  \
"MASTER11_READ_SLAVE14:true"  \
"MASTER11_READ_SLAVE15:true"  \
"MASTER11_READ_SLAVE16:true"  \
"MASTER11_READ_SLAVE17:true"  \
"MASTER11_READ_SLAVE18:true"  \
"MASTER11_READ_SLAVE19:true"  \
"MASTER11_READ_SLAVE20:true"  \
"MASTER11_READ_SLAVE21:true"  \
"MASTER11_READ_SLAVE22:true"  \
"MASTER11_READ_SLAVE23:true"  \
"MASTER11_READ_SLAVE24:true"  \
"MASTER11_READ_SLAVE25:true"  \
"MASTER11_READ_SLAVE26:true"  \
"MASTER11_READ_SLAVE27:true"  \
"MASTER11_READ_SLAVE28:true"  \
"MASTER11_READ_SLAVE29:true"  \
"MASTER11_READ_SLAVE30:true"  \
"MASTER11_READ_SLAVE31:true"  \
"MASTER11_TYPE:0"  \
"MASTER11_WRITE_SLAVE0:true"  \
"MASTER11_WRITE_SLAVE1:true"  \
"MASTER11_WRITE_SLAVE2:true"  \
"MASTER11_WRITE_SLAVE3:true"  \
"MASTER11_WRITE_SLAVE4:true"  \
"MASTER11_WRITE_SLAVE5:true"  \
"MASTER11_WRITE_SLAVE6:true"  \
"MASTER11_WRITE_SLAVE7:true"  \
"MASTER11_WRITE_SLAVE8:true"  \
"MASTER11_WRITE_SLAVE9:true"  \
"MASTER11_WRITE_SLAVE10:true"  \
"MASTER11_WRITE_SLAVE11:true"  \
"MASTER11_WRITE_SLAVE12:true"  \
"MASTER11_WRITE_SLAVE13:true"  \
"MASTER11_WRITE_SLAVE14:true"  \
"MASTER11_WRITE_SLAVE15:true"  \
"MASTER11_WRITE_SLAVE16:true"  \
"MASTER11_WRITE_SLAVE17:true"  \
"MASTER11_WRITE_SLAVE18:true"  \
"MASTER11_WRITE_SLAVE19:true"  \
"MASTER11_WRITE_SLAVE20:true"  \
"MASTER11_WRITE_SLAVE21:true"  \
"MASTER11_WRITE_SLAVE22:true"  \
"MASTER11_WRITE_SLAVE23:true"  \
"MASTER11_WRITE_SLAVE24:true"  \
"MASTER11_WRITE_SLAVE25:true"  \
"MASTER11_WRITE_SLAVE26:true"  \
"MASTER11_WRITE_SLAVE27:true"  \
"MASTER11_WRITE_SLAVE28:true"  \
"MASTER11_WRITE_SLAVE29:true"  \
"MASTER11_WRITE_SLAVE30:true"  \
"MASTER11_WRITE_SLAVE31:true"  \
"MASTER12_CHAN_RS:true"  \
"MASTER12_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER12_DATA_WIDTH:64"  \
"MASTER12_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER12_READ_INTERLEAVE:false"  \
"MASTER12_READ_SLAVE0:true"  \
"MASTER12_READ_SLAVE1:true"  \
"MASTER12_READ_SLAVE2:true"  \
"MASTER12_READ_SLAVE3:true"  \
"MASTER12_READ_SLAVE4:true"  \
"MASTER12_READ_SLAVE5:true"  \
"MASTER12_READ_SLAVE6:true"  \
"MASTER12_READ_SLAVE7:true"  \
"MASTER12_READ_SLAVE8:true"  \
"MASTER12_READ_SLAVE9:true"  \
"MASTER12_READ_SLAVE10:true"  \
"MASTER12_READ_SLAVE11:true"  \
"MASTER12_READ_SLAVE12:true"  \
"MASTER12_READ_SLAVE13:true"  \
"MASTER12_READ_SLAVE14:true"  \
"MASTER12_READ_SLAVE15:true"  \
"MASTER12_READ_SLAVE16:true"  \
"MASTER12_READ_SLAVE17:true"  \
"MASTER12_READ_SLAVE18:true"  \
"MASTER12_READ_SLAVE19:true"  \
"MASTER12_READ_SLAVE20:true"  \
"MASTER12_READ_SLAVE21:true"  \
"MASTER12_READ_SLAVE22:true"  \
"MASTER12_READ_SLAVE23:true"  \
"MASTER12_READ_SLAVE24:true"  \
"MASTER12_READ_SLAVE25:true"  \
"MASTER12_READ_SLAVE26:true"  \
"MASTER12_READ_SLAVE27:true"  \
"MASTER12_READ_SLAVE28:true"  \
"MASTER12_READ_SLAVE29:true"  \
"MASTER12_READ_SLAVE30:true"  \
"MASTER12_READ_SLAVE31:true"  \
"MASTER12_TYPE:0"  \
"MASTER12_WRITE_SLAVE0:true"  \
"MASTER12_WRITE_SLAVE1:true"  \
"MASTER12_WRITE_SLAVE2:true"  \
"MASTER12_WRITE_SLAVE3:true"  \
"MASTER12_WRITE_SLAVE4:true"  \
"MASTER12_WRITE_SLAVE5:true"  \
"MASTER12_WRITE_SLAVE6:true"  \
"MASTER12_WRITE_SLAVE7:true"  \
"MASTER12_WRITE_SLAVE8:true"  \
"MASTER12_WRITE_SLAVE9:true"  \
"MASTER12_WRITE_SLAVE10:true"  \
"MASTER12_WRITE_SLAVE11:true"  \
"MASTER12_WRITE_SLAVE12:true"  \
"MASTER12_WRITE_SLAVE13:true"  \
"MASTER12_WRITE_SLAVE14:true"  \
"MASTER12_WRITE_SLAVE15:true"  \
"MASTER12_WRITE_SLAVE16:true"  \
"MASTER12_WRITE_SLAVE17:true"  \
"MASTER12_WRITE_SLAVE18:true"  \
"MASTER12_WRITE_SLAVE19:true"  \
"MASTER12_WRITE_SLAVE20:true"  \
"MASTER12_WRITE_SLAVE21:true"  \
"MASTER12_WRITE_SLAVE22:true"  \
"MASTER12_WRITE_SLAVE23:true"  \
"MASTER12_WRITE_SLAVE24:true"  \
"MASTER12_WRITE_SLAVE25:true"  \
"MASTER12_WRITE_SLAVE26:true"  \
"MASTER12_WRITE_SLAVE27:true"  \
"MASTER12_WRITE_SLAVE28:true"  \
"MASTER12_WRITE_SLAVE29:true"  \
"MASTER12_WRITE_SLAVE30:true"  \
"MASTER12_WRITE_SLAVE31:true"  \
"MASTER13_CHAN_RS:true"  \
"MASTER13_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER13_DATA_WIDTH:64"  \
"MASTER13_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER13_READ_INTERLEAVE:false"  \
"MASTER13_READ_SLAVE0:true"  \
"MASTER13_READ_SLAVE1:true"  \
"MASTER13_READ_SLAVE2:true"  \
"MASTER13_READ_SLAVE3:true"  \
"MASTER13_READ_SLAVE4:true"  \
"MASTER13_READ_SLAVE5:true"  \
"MASTER13_READ_SLAVE6:true"  \
"MASTER13_READ_SLAVE7:true"  \
"MASTER13_READ_SLAVE8:true"  \
"MASTER13_READ_SLAVE9:true"  \
"MASTER13_READ_SLAVE10:true"  \
"MASTER13_READ_SLAVE11:true"  \
"MASTER13_READ_SLAVE12:true"  \
"MASTER13_READ_SLAVE13:true"  \
"MASTER13_READ_SLAVE14:true"  \
"MASTER13_READ_SLAVE15:true"  \
"MASTER13_READ_SLAVE16:true"  \
"MASTER13_READ_SLAVE17:true"  \
"MASTER13_READ_SLAVE18:true"  \
"MASTER13_READ_SLAVE19:true"  \
"MASTER13_READ_SLAVE20:true"  \
"MASTER13_READ_SLAVE21:true"  \
"MASTER13_READ_SLAVE22:true"  \
"MASTER13_READ_SLAVE23:true"  \
"MASTER13_READ_SLAVE24:true"  \
"MASTER13_READ_SLAVE25:true"  \
"MASTER13_READ_SLAVE26:true"  \
"MASTER13_READ_SLAVE27:true"  \
"MASTER13_READ_SLAVE28:true"  \
"MASTER13_READ_SLAVE29:true"  \
"MASTER13_READ_SLAVE30:true"  \
"MASTER13_READ_SLAVE31:true"  \
"MASTER13_TYPE:0"  \
"MASTER13_WRITE_SLAVE0:true"  \
"MASTER13_WRITE_SLAVE1:true"  \
"MASTER13_WRITE_SLAVE2:true"  \
"MASTER13_WRITE_SLAVE3:true"  \
"MASTER13_WRITE_SLAVE4:true"  \
"MASTER13_WRITE_SLAVE5:true"  \
"MASTER13_WRITE_SLAVE6:true"  \
"MASTER13_WRITE_SLAVE7:true"  \
"MASTER13_WRITE_SLAVE8:true"  \
"MASTER13_WRITE_SLAVE9:true"  \
"MASTER13_WRITE_SLAVE10:true"  \
"MASTER13_WRITE_SLAVE11:true"  \
"MASTER13_WRITE_SLAVE12:true"  \
"MASTER13_WRITE_SLAVE13:true"  \
"MASTER13_WRITE_SLAVE14:true"  \
"MASTER13_WRITE_SLAVE15:true"  \
"MASTER13_WRITE_SLAVE16:true"  \
"MASTER13_WRITE_SLAVE17:true"  \
"MASTER13_WRITE_SLAVE18:true"  \
"MASTER13_WRITE_SLAVE19:true"  \
"MASTER13_WRITE_SLAVE20:true"  \
"MASTER13_WRITE_SLAVE21:true"  \
"MASTER13_WRITE_SLAVE22:true"  \
"MASTER13_WRITE_SLAVE23:true"  \
"MASTER13_WRITE_SLAVE24:true"  \
"MASTER13_WRITE_SLAVE25:true"  \
"MASTER13_WRITE_SLAVE26:true"  \
"MASTER13_WRITE_SLAVE27:true"  \
"MASTER13_WRITE_SLAVE28:true"  \
"MASTER13_WRITE_SLAVE29:true"  \
"MASTER13_WRITE_SLAVE30:true"  \
"MASTER13_WRITE_SLAVE31:true"  \
"MASTER14_CHAN_RS:true"  \
"MASTER14_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER14_DATA_WIDTH:64"  \
"MASTER14_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER14_READ_INTERLEAVE:false"  \
"MASTER14_READ_SLAVE0:true"  \
"MASTER14_READ_SLAVE1:true"  \
"MASTER14_READ_SLAVE2:true"  \
"MASTER14_READ_SLAVE3:true"  \
"MASTER14_READ_SLAVE4:true"  \
"MASTER14_READ_SLAVE5:true"  \
"MASTER14_READ_SLAVE6:true"  \
"MASTER14_READ_SLAVE7:true"  \
"MASTER14_READ_SLAVE8:true"  \
"MASTER14_READ_SLAVE9:true"  \
"MASTER14_READ_SLAVE10:true"  \
"MASTER14_READ_SLAVE11:true"  \
"MASTER14_READ_SLAVE12:true"  \
"MASTER14_READ_SLAVE13:true"  \
"MASTER14_READ_SLAVE14:true"  \
"MASTER14_READ_SLAVE15:true"  \
"MASTER14_READ_SLAVE16:true"  \
"MASTER14_READ_SLAVE17:true"  \
"MASTER14_READ_SLAVE18:true"  \
"MASTER14_READ_SLAVE19:true"  \
"MASTER14_READ_SLAVE20:true"  \
"MASTER14_READ_SLAVE21:true"  \
"MASTER14_READ_SLAVE22:true"  \
"MASTER14_READ_SLAVE23:true"  \
"MASTER14_READ_SLAVE24:true"  \
"MASTER14_READ_SLAVE25:true"  \
"MASTER14_READ_SLAVE26:true"  \
"MASTER14_READ_SLAVE27:true"  \
"MASTER14_READ_SLAVE28:true"  \
"MASTER14_READ_SLAVE29:true"  \
"MASTER14_READ_SLAVE30:true"  \
"MASTER14_READ_SLAVE31:true"  \
"MASTER14_TYPE:0"  \
"MASTER14_WRITE_SLAVE0:true"  \
"MASTER14_WRITE_SLAVE1:true"  \
"MASTER14_WRITE_SLAVE2:true"  \
"MASTER14_WRITE_SLAVE3:true"  \
"MASTER14_WRITE_SLAVE4:true"  \
"MASTER14_WRITE_SLAVE5:true"  \
"MASTER14_WRITE_SLAVE6:true"  \
"MASTER14_WRITE_SLAVE7:true"  \
"MASTER14_WRITE_SLAVE8:true"  \
"MASTER14_WRITE_SLAVE9:true"  \
"MASTER14_WRITE_SLAVE10:true"  \
"MASTER14_WRITE_SLAVE11:true"  \
"MASTER14_WRITE_SLAVE12:true"  \
"MASTER14_WRITE_SLAVE13:true"  \
"MASTER14_WRITE_SLAVE14:true"  \
"MASTER14_WRITE_SLAVE15:true"  \
"MASTER14_WRITE_SLAVE16:true"  \
"MASTER14_WRITE_SLAVE17:true"  \
"MASTER14_WRITE_SLAVE18:true"  \
"MASTER14_WRITE_SLAVE19:true"  \
"MASTER14_WRITE_SLAVE20:true"  \
"MASTER14_WRITE_SLAVE21:true"  \
"MASTER14_WRITE_SLAVE22:true"  \
"MASTER14_WRITE_SLAVE23:true"  \
"MASTER14_WRITE_SLAVE24:true"  \
"MASTER14_WRITE_SLAVE25:true"  \
"MASTER14_WRITE_SLAVE26:true"  \
"MASTER14_WRITE_SLAVE27:true"  \
"MASTER14_WRITE_SLAVE28:true"  \
"MASTER14_WRITE_SLAVE29:true"  \
"MASTER14_WRITE_SLAVE30:true"  \
"MASTER14_WRITE_SLAVE31:true"  \
"MASTER15_CHAN_RS:true"  \
"MASTER15_CLOCK_DOMAIN_CROSSING:false"  \
"MASTER15_DATA_WIDTH:64"  \
"MASTER15_DWC_DATA_FIFO_DEPTH:16"  \
"MASTER15_READ_INTERLEAVE:false"  \
"MASTER15_READ_SLAVE0:true"  \
"MASTER15_READ_SLAVE1:true"  \
"MASTER15_READ_SLAVE2:true"  \
"MASTER15_READ_SLAVE3:true"  \
"MASTER15_READ_SLAVE4:true"  \
"MASTER15_READ_SLAVE5:true"  \
"MASTER15_READ_SLAVE6:true"  \
"MASTER15_READ_SLAVE7:true"  \
"MASTER15_READ_SLAVE8:true"  \
"MASTER15_READ_SLAVE9:true"  \
"MASTER15_READ_SLAVE10:true"  \
"MASTER15_READ_SLAVE11:true"  \
"MASTER15_READ_SLAVE12:true"  \
"MASTER15_READ_SLAVE13:true"  \
"MASTER15_READ_SLAVE14:true"  \
"MASTER15_READ_SLAVE15:true"  \
"MASTER15_READ_SLAVE16:true"  \
"MASTER15_READ_SLAVE17:true"  \
"MASTER15_READ_SLAVE18:true"  \
"MASTER15_READ_SLAVE19:true"  \
"MASTER15_READ_SLAVE20:true"  \
"MASTER15_READ_SLAVE21:true"  \
"MASTER15_READ_SLAVE22:true"  \
"MASTER15_READ_SLAVE23:true"  \
"MASTER15_READ_SLAVE24:true"  \
"MASTER15_READ_SLAVE25:true"  \
"MASTER15_READ_SLAVE26:true"  \
"MASTER15_READ_SLAVE27:true"  \
"MASTER15_READ_SLAVE28:true"  \
"MASTER15_READ_SLAVE29:true"  \
"MASTER15_READ_SLAVE30:true"  \
"MASTER15_READ_SLAVE31:true"  \
"MASTER15_TYPE:0"  \
"MASTER15_WRITE_SLAVE0:true"  \
"MASTER15_WRITE_SLAVE1:true"  \
"MASTER15_WRITE_SLAVE2:true"  \
"MASTER15_WRITE_SLAVE3:true"  \
"MASTER15_WRITE_SLAVE4:true"  \
"MASTER15_WRITE_SLAVE5:true"  \
"MASTER15_WRITE_SLAVE6:true"  \
"MASTER15_WRITE_SLAVE7:true"  \
"MASTER15_WRITE_SLAVE8:true"  \
"MASTER15_WRITE_SLAVE9:true"  \
"MASTER15_WRITE_SLAVE10:true"  \
"MASTER15_WRITE_SLAVE11:true"  \
"MASTER15_WRITE_SLAVE12:true"  \
"MASTER15_WRITE_SLAVE13:true"  \
"MASTER15_WRITE_SLAVE14:true"  \
"MASTER15_WRITE_SLAVE15:true"  \
"MASTER15_WRITE_SLAVE16:true"  \
"MASTER15_WRITE_SLAVE17:true"  \
"MASTER15_WRITE_SLAVE18:true"  \
"MASTER15_WRITE_SLAVE19:true"  \
"MASTER15_WRITE_SLAVE20:true"  \
"MASTER15_WRITE_SLAVE21:true"  \
"MASTER15_WRITE_SLAVE22:true"  \
"MASTER15_WRITE_SLAVE23:true"  \
"MASTER15_WRITE_SLAVE24:true"  \
"MASTER15_WRITE_SLAVE25:true"  \
"MASTER15_WRITE_SLAVE26:true"  \
"MASTER15_WRITE_SLAVE27:true"  \
"MASTER15_WRITE_SLAVE28:true"  \
"MASTER15_WRITE_SLAVE29:true"  \
"MASTER15_WRITE_SLAVE30:true"  \
"MASTER15_WRITE_SLAVE31:true"  \
"NUM_MASTERS:1"  \
"NUM_MASTERS_WIDTH:1"  \
"NUM_SLAVES:1"  \
"NUM_THREADS:4"  \
"OPEN_TRANS_MAX:8"  \
"OPTIMIZATION:1"  \
"RD_ARB_EN:false"  \
"SLAVE0_CHAN_RS:true"  \
"SLAVE0_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE0_DATA_WIDTH:64"  \
"SLAVE0_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE0_END_ADDR:0xffffffff"  \
"SLAVE0_END_ADDR_UPPER:0x1f"  \
"SLAVE0_READ_INTERLEAVE:false"  \
"SLAVE0_START_ADDR:0x60000000"  \
"SLAVE0_START_ADDR_UPPER:0x0"  \
"SLAVE0_TYPE:0"  \
"SLAVE1_CHAN_RS:true"  \
"SLAVE1_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE1_DATA_WIDTH:64"  \
"SLAVE1_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE1_END_ADDR:0xfff"  \
"SLAVE1_END_ADDR_UPPER:0x0"  \
"SLAVE1_READ_INTERLEAVE:false"  \
"SLAVE1_START_ADDR:0x0"  \
"SLAVE1_START_ADDR_UPPER:0x0"  \
"SLAVE1_TYPE:0"  \
"SLAVE2_CHAN_RS:true"  \
"SLAVE2_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE2_DATA_WIDTH:64"  \
"SLAVE2_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE2_END_ADDR:0x17ffffff"  \
"SLAVE2_END_ADDR_UPPER:0x0"  \
"SLAVE2_READ_INTERLEAVE:false"  \
"SLAVE2_START_ADDR:0x10000000"  \
"SLAVE2_START_ADDR_UPPER:0x0"  \
"SLAVE2_TYPE:0"  \
"SLAVE3_CHAN_RS:true"  \
"SLAVE3_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE3_DATA_WIDTH:64"  \
"SLAVE3_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE3_END_ADDR:0x1fffffff"  \
"SLAVE3_END_ADDR_UPPER:0x0"  \
"SLAVE3_READ_INTERLEAVE:false"  \
"SLAVE3_START_ADDR:0x18000000"  \
"SLAVE3_START_ADDR_UPPER:0x0"  \
"SLAVE3_TYPE:0"  \
"SLAVE4_CHAN_RS:true"  \
"SLAVE4_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE4_DATA_WIDTH:64"  \
"SLAVE4_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE4_END_ADDR:0x27ffffff"  \
"SLAVE4_END_ADDR_UPPER:0x0"  \
"SLAVE4_READ_INTERLEAVE:false"  \
"SLAVE4_START_ADDR:0x20000000"  \
"SLAVE4_START_ADDR_UPPER:0x0"  \
"SLAVE4_TYPE:0"  \
"SLAVE5_CHAN_RS:true"  \
"SLAVE5_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE5_DATA_WIDTH:64"  \
"SLAVE5_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE5_END_ADDR:0x2fffffff"  \
"SLAVE5_END_ADDR_UPPER:0x0"  \
"SLAVE5_READ_INTERLEAVE:false"  \
"SLAVE5_START_ADDR:0x28000000"  \
"SLAVE5_START_ADDR_UPPER:0x0"  \
"SLAVE5_TYPE:0"  \
"SLAVE6_CHAN_RS:true"  \
"SLAVE6_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE6_DATA_WIDTH:64"  \
"SLAVE6_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE6_END_ADDR:0x37ffffff"  \
"SLAVE6_END_ADDR_UPPER:0x0"  \
"SLAVE6_READ_INTERLEAVE:false"  \
"SLAVE6_START_ADDR:0x30000000"  \
"SLAVE6_START_ADDR_UPPER:0x0"  \
"SLAVE6_TYPE:0"  \
"SLAVE7_CHAN_RS:true"  \
"SLAVE7_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE7_DATA_WIDTH:64"  \
"SLAVE7_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE7_END_ADDR:0x3fffffff"  \
"SLAVE7_END_ADDR_UPPER:0x0"  \
"SLAVE7_READ_INTERLEAVE:false"  \
"SLAVE7_START_ADDR:0x38000000"  \
"SLAVE7_START_ADDR_UPPER:0x0"  \
"SLAVE7_TYPE:0"  \
"SLAVE8_CHAN_RS:true"  \
"SLAVE8_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE8_DATA_WIDTH:64"  \
"SLAVE8_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE8_END_ADDR:0x47ffffff"  \
"SLAVE8_END_ADDR_UPPER:0x0"  \
"SLAVE8_READ_INTERLEAVE:false"  \
"SLAVE8_START_ADDR:0x40000000"  \
"SLAVE8_START_ADDR_UPPER:0x0"  \
"SLAVE8_TYPE:0"  \
"SLAVE9_CHAN_RS:true"  \
"SLAVE9_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE9_DATA_WIDTH:64"  \
"SLAVE9_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE9_END_ADDR:0x4fffffff"  \
"SLAVE9_END_ADDR_UPPER:0x0"  \
"SLAVE9_READ_INTERLEAVE:false"  \
"SLAVE9_START_ADDR:0x48000000"  \
"SLAVE9_START_ADDR_UPPER:0x0"  \
"SLAVE9_TYPE:0"  \
"SLAVE10_CHAN_RS:true"  \
"SLAVE10_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE10_DATA_WIDTH:64"  \
"SLAVE10_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE10_END_ADDR:0x57ffffff"  \
"SLAVE10_END_ADDR_UPPER:0x0"  \
"SLAVE10_READ_INTERLEAVE:false"  \
"SLAVE10_START_ADDR:0x50000000"  \
"SLAVE10_START_ADDR_UPPER:0x0"  \
"SLAVE10_TYPE:0"  \
"SLAVE11_CHAN_RS:true"  \
"SLAVE11_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE11_DATA_WIDTH:64"  \
"SLAVE11_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE11_END_ADDR:0x5fffffff"  \
"SLAVE11_END_ADDR_UPPER:0x0"  \
"SLAVE11_READ_INTERLEAVE:false"  \
"SLAVE11_START_ADDR:0x58000000"  \
"SLAVE11_START_ADDR_UPPER:0x0"  \
"SLAVE11_TYPE:0"  \
"SLAVE12_CHAN_RS:true"  \
"SLAVE12_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE12_DATA_WIDTH:64"  \
"SLAVE12_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE12_END_ADDR:0x902fffff"  \
"SLAVE12_END_ADDR_UPPER:0x0"  \
"SLAVE12_READ_INTERLEAVE:false"  \
"SLAVE12_START_ADDR:0x90000000"  \
"SLAVE12_START_ADDR_UPPER:0x0"  \
"SLAVE12_TYPE:0"  \
"SLAVE13_CHAN_RS:true"  \
"SLAVE13_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE13_DATA_WIDTH:64"  \
"SLAVE13_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE13_END_ADDR:0x905fffff"  \
"SLAVE13_END_ADDR_UPPER:0x0"  \
"SLAVE13_READ_INTERLEAVE:false"  \
"SLAVE13_START_ADDR:0x90300000"  \
"SLAVE13_START_ADDR_UPPER:0x0"  \
"SLAVE13_TYPE:0"  \
"SLAVE14_CHAN_RS:true"  \
"SLAVE14_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE14_DATA_WIDTH:64"  \
"SLAVE14_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE14_END_ADDR:0x908fffff"  \
"SLAVE14_END_ADDR_UPPER:0x0"  \
"SLAVE14_READ_INTERLEAVE:false"  \
"SLAVE14_START_ADDR:0x90600000"  \
"SLAVE14_START_ADDR_UPPER:0x0"  \
"SLAVE14_TYPE:0"  \
"SLAVE15_CHAN_RS:true"  \
"SLAVE15_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE15_DATA_WIDTH:64"  \
"SLAVE15_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE15_END_ADDR:0x90bfffff"  \
"SLAVE15_END_ADDR_UPPER:0x0"  \
"SLAVE15_READ_INTERLEAVE:false"  \
"SLAVE15_START_ADDR:0x90900000"  \
"SLAVE15_START_ADDR_UPPER:0x0"  \
"SLAVE15_TYPE:0"  \
"SLAVE16_CHAN_RS:true"  \
"SLAVE16_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE16_DATA_WIDTH:64"  \
"SLAVE16_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE16_END_ADDR:0x90efffff"  \
"SLAVE16_END_ADDR_UPPER:0x0"  \
"SLAVE16_READ_INTERLEAVE:false"  \
"SLAVE16_START_ADDR:0x90c00000"  \
"SLAVE16_START_ADDR_UPPER:0x0"  \
"SLAVE16_TYPE:0"  \
"SLAVE17_CHAN_RS:true"  \
"SLAVE17_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE17_DATA_WIDTH:64"  \
"SLAVE17_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE17_END_ADDR:0x911fffff"  \
"SLAVE17_END_ADDR_UPPER:0x0"  \
"SLAVE17_READ_INTERLEAVE:false"  \
"SLAVE17_START_ADDR:0x90f00000"  \
"SLAVE17_START_ADDR_UPPER:0x0"  \
"SLAVE17_TYPE:0"  \
"SLAVE18_CHAN_RS:true"  \
"SLAVE18_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE18_DATA_WIDTH:64"  \
"SLAVE18_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE18_END_ADDR:0x914fffff"  \
"SLAVE18_END_ADDR_UPPER:0x0"  \
"SLAVE18_READ_INTERLEAVE:false"  \
"SLAVE18_START_ADDR:0x91200000"  \
"SLAVE18_START_ADDR_UPPER:0x0"  \
"SLAVE18_TYPE:0"  \
"SLAVE19_CHAN_RS:true"  \
"SLAVE19_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE19_DATA_WIDTH:64"  \
"SLAVE19_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE19_END_ADDR:0x917fffff"  \
"SLAVE19_END_ADDR_UPPER:0x0"  \
"SLAVE19_READ_INTERLEAVE:false"  \
"SLAVE19_START_ADDR:0x91500000"  \
"SLAVE19_START_ADDR_UPPER:0x0"  \
"SLAVE19_TYPE:0"  \
"SLAVE20_CHAN_RS:true"  \
"SLAVE20_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE20_DATA_WIDTH:64"  \
"SLAVE20_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE20_END_ADDR:0x91afffff"  \
"SLAVE20_END_ADDR_UPPER:0x0"  \
"SLAVE20_READ_INTERLEAVE:false"  \
"SLAVE20_START_ADDR:0x91800000"  \
"SLAVE20_START_ADDR_UPPER:0x0"  \
"SLAVE20_TYPE:0"  \
"SLAVE21_CHAN_RS:true"  \
"SLAVE21_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE21_DATA_WIDTH:64"  \
"SLAVE21_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE21_END_ADDR:0x91dfffff"  \
"SLAVE21_END_ADDR_UPPER:0x0"  \
"SLAVE21_READ_INTERLEAVE:false"  \
"SLAVE21_START_ADDR:0x91b00000"  \
"SLAVE21_START_ADDR_UPPER:0x0"  \
"SLAVE21_TYPE:0"  \
"SLAVE22_CHAN_RS:true"  \
"SLAVE22_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE22_DATA_WIDTH:64"  \
"SLAVE22_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE22_END_ADDR:0x920fffff"  \
"SLAVE22_END_ADDR_UPPER:0x0"  \
"SLAVE22_READ_INTERLEAVE:false"  \
"SLAVE22_START_ADDR:0x91e00000"  \
"SLAVE22_START_ADDR_UPPER:0x0"  \
"SLAVE22_TYPE:0"  \
"SLAVE23_CHAN_RS:true"  \
"SLAVE23_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE23_DATA_WIDTH:64"  \
"SLAVE23_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE23_END_ADDR:0x923fffff"  \
"SLAVE23_END_ADDR_UPPER:0x0"  \
"SLAVE23_READ_INTERLEAVE:false"  \
"SLAVE23_START_ADDR:0x92100000"  \
"SLAVE23_START_ADDR_UPPER:0x0"  \
"SLAVE23_TYPE:0"  \
"SLAVE24_CHAN_RS:true"  \
"SLAVE24_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE24_DATA_WIDTH:64"  \
"SLAVE24_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE24_END_ADDR:0x926fffff"  \
"SLAVE24_END_ADDR_UPPER:0x0"  \
"SLAVE24_READ_INTERLEAVE:false"  \
"SLAVE24_START_ADDR:0x92400000"  \
"SLAVE24_START_ADDR_UPPER:0x0"  \
"SLAVE24_TYPE:0"  \
"SLAVE25_CHAN_RS:true"  \
"SLAVE25_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE25_DATA_WIDTH:64"  \
"SLAVE25_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE25_END_ADDR:0x929fffff"  \
"SLAVE25_END_ADDR_UPPER:0x0"  \
"SLAVE25_READ_INTERLEAVE:false"  \
"SLAVE25_START_ADDR:0x92700000"  \
"SLAVE25_START_ADDR_UPPER:0x0"  \
"SLAVE25_TYPE:0"  \
"SLAVE26_CHAN_RS:true"  \
"SLAVE26_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE26_DATA_WIDTH:64"  \
"SLAVE26_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE26_END_ADDR:0x92cfffff"  \
"SLAVE26_END_ADDR_UPPER:0x0"  \
"SLAVE26_READ_INTERLEAVE:false"  \
"SLAVE26_START_ADDR:0x92a00000"  \
"SLAVE26_START_ADDR_UPPER:0x0"  \
"SLAVE26_TYPE:0"  \
"SLAVE27_CHAN_RS:true"  \
"SLAVE27_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE27_DATA_WIDTH:64"  \
"SLAVE27_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE27_END_ADDR:0x92ffffff"  \
"SLAVE27_END_ADDR_UPPER:0x0"  \
"SLAVE27_READ_INTERLEAVE:false"  \
"SLAVE27_START_ADDR:0x92d00000"  \
"SLAVE27_START_ADDR_UPPER:0x0"  \
"SLAVE27_TYPE:0"  \
"SLAVE28_CHAN_RS:true"  \
"SLAVE28_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE28_DATA_WIDTH:64"  \
"SLAVE28_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE28_END_ADDR:0x932fffff"  \
"SLAVE28_END_ADDR_UPPER:0x0"  \
"SLAVE28_READ_INTERLEAVE:false"  \
"SLAVE28_START_ADDR:0x93000000"  \
"SLAVE28_START_ADDR_UPPER:0x0"  \
"SLAVE28_TYPE:0"  \
"SLAVE29_CHAN_RS:true"  \
"SLAVE29_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE29_DATA_WIDTH:64"  \
"SLAVE29_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE29_END_ADDR:0x935fffff"  \
"SLAVE29_END_ADDR_UPPER:0x0"  \
"SLAVE29_READ_INTERLEAVE:false"  \
"SLAVE29_START_ADDR:0x93300000"  \
"SLAVE29_START_ADDR_UPPER:0x0"  \
"SLAVE29_TYPE:0"  \
"SLAVE30_CHAN_RS:true"  \
"SLAVE30_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE30_DATA_WIDTH:64"  \
"SLAVE30_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE30_END_ADDR:0x938fffff"  \
"SLAVE30_END_ADDR_UPPER:0x0"  \
"SLAVE30_READ_INTERLEAVE:false"  \
"SLAVE30_START_ADDR:0x93600000"  \
"SLAVE30_START_ADDR_UPPER:0x0"  \
"SLAVE30_TYPE:0"  \
"SLAVE31_CHAN_RS:true"  \
"SLAVE31_CLOCK_DOMAIN_CROSSING:false"  \
"SLAVE31_DATA_WIDTH:64"  \
"SLAVE31_DWC_DATA_FIFO_DEPTH:16"  \
"SLAVE31_END_ADDR:0x93bfffff"  \
"SLAVE31_END_ADDR_UPPER:0x0"  \
"SLAVE31_READ_INTERLEAVE:false"  \
"SLAVE31_START_ADDR:0x93900000"  \
"SLAVE31_START_ADDR_UPPER:0x0"  \
"SLAVE31_TYPE:0"  \
"SLV_AXI4PRT_ADDRDEPTH:8"  \
"SLV_AXI4PRT_DATADEPTH:9"  \
"USER_WIDTH:1"   }
# Exporting Component Description of PCIE_INITIATOR to TCL done
